#ifndef ASKDIALOG_H
#define ASKDIALOG_H

//(*Headers(AskDialog)
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/textctrl.h>
//*)

class AskDialog: public wxDialog
{
	public:

		AskDialog(wxWindow* parent,wxString message);
		virtual ~AskDialog();

		//(*Declarations(AskDialog)
		wxButton* Button1;
		wxButton* cancel;
		wxTextCtrl* mss_ctrl;
		//*)

	protected:

		//(*Identifiers(AskDialog)
		static const long ID_TEXTCTRL1;
		static const long ID_OK;
		static const long ID_CANCEL;
		//*)

	private:

		//(*Handlers(AskDialog)
		void OnOk(wxCommandEvent& event);
		void OnNo(wxCommandEvent& event);
		//*)

		DECLARE_EVENT_TABLE()
};

#endif
