#ifndef DOMAINSELECTOR_H
#define DOMAINSELECTOR_H

#include <wx/filedlg.h>

//(*Headers(DomainSelector)
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/listbox.h>
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
//*)

class DomainSelector: public wxDialog
{
	public:

		DomainSelector(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~DomainSelector();

		//(*Declarations(DomainSelector)
		wxButton* Button10;
		wxButton* Button11;
		wxButton* Button12;
		wxButton* Button13;
		wxButton* Button1;
		wxButton* Button2;
		wxButton* Button3;
		wxButton* Button4;
		wxButton* Button5;
		wxButton* Button6;
		wxButton* Button7;
		wxButton* Button8;
		wxButton* Button9;
		wxListBox* ellps_ctrl;
		wxStaticText* StaticText1;
		wxTextCtrl* TextCtrl1;
		//*)

	protected:

		//(*Identifiers(DomainSelector)
		static const long ID_BUTTON1;
		static const long ID_TEXTCTRL1;
		static const long ID_BUTTON2;
		static const long ID_STATICTEXT1;
		static const long ID_LISTBOX1;
		static const long ID_BUTTON9;
		static const long ID_BUTTON3;
		static const long ID_BUTTON4;
		static const long ID_BUTTON5;
		static const long ID_BUTTON7;
		static const long ID_BUTTON6;
		static const long ID_BUTTON8;
		static const long ID_BUTTON10;
		static const long ID_BUTTON11;
		static const long ID_BUTTON12;
		static const long ID_BUTTON13;
		//*)

	private:

		//(*Handlers(DomainSelector)
		void OnOk(wxCommandEvent& event);
		void OnDiscard(wxCommandEvent& event);
		void OnDelDomain(wxCommandEvent& event);
		void OnSort_Siz_asc(wxCommandEvent& event);
		void MovTop(wxCommandEvent& event);
		void OnImportNewDomain(wxCommandEvent& event);
		void OnMoveBottom(wxCommandEvent& event);
		void OnNewDefault(wxCommandEvent& event);
		void OnExportCurrDom(wxCommandEvent& event);
		void OnAnalyzCurr(wxCommandEvent& event);
		void OnPermanence(wxCommandEvent& event);
		void OnSort_siz_desc(wxCommandEvent& event);
		void OnShowPars(wxCommandEvent& event);
		//*)

		DECLARE_EVENT_TABLE()
};

#endif
